Skip to main content
GET
Get Series Updates

Request contract

  • Method and path: GET /apis/v1/fred/series/updates
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/fred/series/updates
  • end_time: query; required
  • file_type: query; optional
  • filter_value: query; optional
  • limit: query; optional
  • offset: query; optional
  • realtime_end: query; optional
  • realtime_start: query; optional
  • start_time: query; required
  • Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 1e-05
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

end_time
string
required

End time for limiting results for a time range, can filter down to minutes YYYYMMDDHhmm formatted string, optional, , start_time is required if end_time is set < Example: 2018-03-02 2:20 would be 201803020220

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
filter_value
string
default:'all'

Limit results by geographic type of economic data series; namely 'macro', 'regional', and 'all'. String, optional, default: 'all' meaning no filter. One of the values: 'macro', 'regional', 'all' 'macro' limits results to macroeconomic data series. In general, these are series for entire countries that are not subregions of the United States. 'regional' limits results to series for parts of the US; namely, series for US states, counties, and Metropolitan Statistical Areas (MSA). 'all' does not filter results.

limit
integer
default:1000

The maximum number of results to return. integer between 1 and 1000, optional, default: 1000

Required range: 1 <= x <= 1000
offset
integer
default:0

non-negative integer, optional, default: 0

Required range: x >= 0
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

start_time
string
required

Start time for limiting results for a time range, can filter down to minutes YYYYMMDDHhmm formatted string, optional, end_time is required if start_time is set Example: 2018-03-02 14:20 would be 201803021420

Response

Successful response